Prophet::ConflictingPropChange(3pm)

NAME
Prophet::ConflictingPropChange

DESCRIPTION
Objects of this class describe a case when the a property change can not be cleanly applied to a replica because the old value for the property locally did not match the "begin state" of the change being applied.

METHODS

  name
The property name for the conflict in question

  source_old_value
The inital (old) state from the change being merged in

  source_new_value
The final (new) state of the property from the change being merged in.

  target_value
The current target-replica value of the property being merged.